Subject: Re: [PATCH 19/21] t9003: become resilient to GETTEXT_POISON

From: Vasco Almeida <[email-masked]>
Date: Fri, 20 May 2016 17:39:56 +0000

Às 16:39 de 20-05-2016, Junio C Hamano escreveu:
> We want to see the string appear after "Did you mean this?" and we
> do not want to be fooled by a future change in the early part of the
> message, which may contain a substring l-g-f that does not have
> anything to do with the alias we are looking for.
> 
> And the way you express "I do not care anything above this line" is
> to say "sed -e '1,/^that line/d'".
> 
> Of course, if you use this with POISON, you'd need to consider that
> "Did you mean this" would not be a good marker to identify where the
> introductory text we want to ignore ends.  You'd need to find a
> different mechanism to exclude the introductory text if you want to
> retain the future-proofing the existing "sed -e" gave us.
> 
> Perhaps discarding up to the first blank line (i.e. assuming that we
> would not remove that blank, and also assuming that we will not
> rephrase "Did you mean this?") may be a good alternative.
> 
> Or assuming that the explanatory text would not begin its lines with
> a tab, i.e.
> 
> 	grep '^	lgf$' actual
> 
> (the space between '^' and 'l' above is a TAB) without using
> test_i18ngrep?
> 
> I think I like that the best among what I can think of offhand.
> 
> 
Alternatively, we could leave sed alone as it were before this patch and
use test_i18ngrep instead of grep to fake success under GETTEXT_POISON.
I think I prefer this way. What do you think?